Bug 1450639 - [abrt] gnome-shell: operator delete(): gnome-shell killed by signal 6
Summary: [abrt] gnome-shell: operator delete(): gnome-shell killed by signal 6
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3cd5da0d2d0225c980c59d2553f...
: 1461921 1461950 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-14 10:00 UTC by Mikhail
Modified: 2018-05-29 11:48 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:48:35 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (86.63 KB, text/plain)
2017-05-14 10:00 UTC, Mikhail
no flags Details
File: cgroup (289 bytes, text/plain)
2017-05-14 10:00 UTC, Mikhail
no flags Details
File: core_backtrace (39.97 KB, text/plain)
2017-05-14 10:00 UTC, Mikhail
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2017-05-14 10:00 UTC, Mikhail
no flags Details
File: dso_list (2.60 KB, text/plain)
2017-05-14 10:00 UTC, Mikhail
no flags Details
File: environ (1.72 KB, text/plain)
2017-05-14 10:00 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2017-05-14 10:00 UTC, Mikhail
no flags Details
File: maps (121.67 KB, text/plain)
2017-05-14 10:00 UTC, Mikhail
no flags Details
File: open_fds (9.53 KB, text/plain)
2017-05-14 10:00 UTC, Mikhail
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-05-14 10:00 UTC, Mikhail
no flags Details
File: var_log_messages (488 bytes, text/plain)
2017-05-14 10:00 UTC, Mikhail
no flags Details

Description Mikhail 2017-05-14 10:00:17 UTC
Version-Release number of selected component:
gnome-shell-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: operator delete
executable:     /usr/bin/gnome-shell
journald_cursor: s=a904c01ca9734563afe62370c5f48ca4;i=8820;b=2878dee88ebf4ef7acf751522acff0b8;m=1108b31f3;t=54f741e4373cf;x=9858f31e8e11f971
kernel:         4.11.0-2.fc26.x86_64+debug
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Mikhail 2017-05-14 10:00:24 UTC
Created attachment 1278602 [details]
File: backtrace

Comment 2 Mikhail 2017-05-14 10:00:26 UTC
Created attachment 1278603 [details]
File: cgroup

Comment 3 Mikhail 2017-05-14 10:00:28 UTC
Created attachment 1278604 [details]
File: core_backtrace

Comment 4 Mikhail 2017-05-14 10:00:30 UTC
Created attachment 1278605 [details]
File: cpuinfo

Comment 5 Mikhail 2017-05-14 10:00:32 UTC
Created attachment 1278606 [details]
File: dso_list

Comment 6 Mikhail 2017-05-14 10:00:34 UTC
Created attachment 1278607 [details]
File: environ

Comment 7 Mikhail 2017-05-14 10:00:36 UTC
Created attachment 1278608 [details]
File: limits

Comment 8 Mikhail 2017-05-14 10:00:38 UTC
Created attachment 1278609 [details]
File: maps

Comment 9 Mikhail 2017-05-14 10:00:40 UTC
Created attachment 1278610 [details]
File: open_fds

Comment 10 Mikhail 2017-05-14 10:00:42 UTC
Created attachment 1278611 [details]
File: proc_pid_status

Comment 11 Mikhail 2017-05-14 10:00:44 UTC
Created attachment 1278612 [details]
File: var_log_messages

Comment 12 Mikhail 2017-05-14 13:05:43 UTC
Similar problem has been detected:

Nothing unusual to do

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: operator delete
executable:     /usr/bin/gnome-shell
journald_cursor: s=a904c01ca9734563afe62370c5f48ca4;i=8820;b=2878dee88ebf4ef7acf751522acff0b8;m=1108b31f3;t=54f741e4373cf;x=9858f31e8e11f971
kernel:         4.11.0-2.fc26.x86_64+debug
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Mikhail 2017-05-16 19:45:32 UTC
Similar problem has been detected:

Just open downloaded video file in Totem player

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: operator delete
executable:     /usr/bin/gnome-shell
journald_cursor: s=a904c01ca9734563afe62370c5f48ca4;i=8820;b=2878dee88ebf4ef7acf751522acff0b8;m=1108b31f3;t=54f741e4373cf;x=9858f31e8e11f971
kernel:         4.11.0-2.fc26.x86_64+debug
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Mikhail 2017-05-17 20:39:57 UTC
Similar problem has been detected:

gnome-shell session ended when I watching movie in Totem player

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: operator delete
executable:     /usr/bin/gnome-shell
journald_cursor: s=a904c01ca9734563afe62370c5f48ca4;i=cf29;b=fb9011e634a64bc6805cc45d242dc6d5;m=14cb8744a0;t=54fbddee37af1;x=fbfba1bd317f6785
kernel:         4.11.0-2.fc26.x86_64+debug
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Mikhail 2017-05-18 21:07:03 UTC
Similar problem has been detected:

gnome-shell session ended when I watching movie in Totem player
Most annoying crash because lost all data

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: operator delete
executable:     /usr/bin/gnome-shell
journald_cursor: s=a904c01ca9734563afe62370c5f48ca4;i=cf29;b=fb9011e634a64bc6805cc45d242dc6d5;m=14cb8744a0;t=54fbddee37af1;x=fbfba1bd317f6785
kernel:         4.11.0-2.fc26.x86_64+debug
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Satish Balay 2017-05-22 13:53:04 UTC
I've reverted to gnome-shell-3.24.1-1.fc26.x86_64 to see if the crashes persist.

Perhaps this should be a release blocker.

Comment 17 Mikhail 2017-05-22 21:04:04 UTC
(In reply to Satish Balay from comment #16)
> I've reverted to gnome-shell-3.24.1-1.fc26.x86_64 to see if the crashes
> persist.

I unable revert gnome-shell to 3.24.1 version because bnf writing me that this is 'lowest version'.

[root@localhost ~]# dnf downgrade gnome-shell
Last metadata expiration check: 0:23:42 ago on Tue May 23 01:34:13 2017 +05.
Package gnome-shell of lowest version already installed, cannot downgrade it.
Error: Nothing to do.
[root@localhost ~]# rpm -q gnome-shell
gnome-shell-3.24.2-1.fc26.x86_64

Comment 18 Fedora Blocker Bugs Application 2017-05-22 21:18:58 UTC
Proposed as a Blocker and Freeze Exception for 26-beta by Fedora user mikhail using the blocker tracking app because:

 This issue happens quite often and crashes the whole session on the default desktop, GNOME on wayland. This results in data loss. It should be a prioritized bug at least. There is no formal criterium (as far as I know) to make it block the final release, but I'd say it qualifies as such anyway.

Comment 19 Satish Balay 2017-05-22 21:33:36 UTC
(In reply to Mikhail from comment #17)
> (In reply to Satish Balay from comment #16)
> > I've reverted to gnome-shell-3.24.1-1.fc26.x86_64 to see if the crashes
> > persist.
> 
> I unable revert gnome-shell to 3.24.1 version because bnf writing me that
> this is 'lowest version'.
> 
> [root@localhost ~]# dnf downgrade gnome-shell
> Last metadata expiration check: 0:23:42 ago on Tue May 23 01:34:13 2017 +05.
> Package gnome-shell of lowest version already installed, cannot downgrade it.
> Error: Nothing to do.
> [root@localhost ~]# rpm -q gnome-shell
> gnome-shell-3.24.2-1.fc26.x86_64

I've manually downloaded rpms to downgrade from

https://koji.fedoraproject.org/koji/buildinfo?buildID=879005
https://koji.fedoraproject.org/koji/buildinfo?buildID=884272

And downgraded via a local yum/dnf repo. [without a local repo] you might be able to do:

yum downgrade *.rpm

[with all the downloaded rpms in CWD]

I've also downgraded ibus rpms - as some of the crash logs list ibus-daemon

https://koji.fedoraproject.org/koji/buildinfo?buildID=881399

Comment 20 Satish Balay 2017-05-23 04:41:41 UTC
crashed again. The downgrade did not help :(

The accompanying crash https://bugzilla.redhat.com/show_bug.cgi?id=1406699

Comment 21 Adam Williamson 2017-05-23 23:24:01 UTC
I can see a couple of potential criteria for this to block Final:

"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test."

"All known bugs that can cause corruption of user data must be fixed or documented at Common F26 bugs. "

But I can't immediately think of any that would justify blocking Beta, so I'm probably -1 on this as a Beta blocker. (Also, FWIW, I haven't seen this crash at all myself...)

Comment 22 Satish Balay 2017-05-24 13:20:22 UTC
I've switched over to gnome/xorg from wayland - and gnome-shell hasn't yet crashed in the past day. [with latest gnome-shell and ibus]

Will update if/when it crashes..

$ rpm -q gnome-shell ibus
gnome-shell-3.24.2-1.fc26.x86_64
ibus-1.5.16-1.fc26.x86_64

Comment 23 Satish Balay 2017-05-24 16:50:32 UTC
I have a crash with gnome/xorg - but it didn't log me out..

https://bugzilla.redhat.com/show_bug.cgi?id=1455293

Comment 24 Paulo Lopes 2017-05-24 18:03:38 UTC
Similar problem has been detected:

1. open video with totem

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: operator delete
executable:     /usr/bin/gnome-shell
journald_cursor: s=56d2acec5e7a4fb1826fb998960091d5;i=18335;b=bffdc54ad44f43d7bb931aaa5b1ed516;m=9aee7f2;t=55048b23d065a;x=20212443990cce17
kernel:         4.11.0-2.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 Mikhail 2017-05-26 05:28:11 UTC
@Paulo Lopes and @Satish Balay do you install additional codecs?
For example I use gstreamer1-libav from rpmfusion repository.

# rpm -q gstreamer1-libav
gstreamer1-libav-1.12.0-2.fc26.x86_64

Comment 26 Paulo Lopes 2017-05-26 10:11:47 UTC
(In reply to Mikhail from comment #25)
> @Paulo Lopes and @Satish Balay do you install additional codecs?
> For example I use gstreamer1-libav from rpmfusion repository.
> 
> # rpm -q gstreamer1-libav
> gstreamer1-libav-1.12.0-2.fc26.x86_64

Yes, i have the gstreamer1-libav-1.12.0-2.fc26.x86_64

Comment 27 Paulo Lopes 2017-05-26 10:42:36 UTC
Just for fun i downgrade to gstreamer1-libav-1.10.4-1.fc25.x86_64 reboot and problem seems to go away.

Comment 28 Satish Balay 2017-05-26 14:05:07 UTC
(In reply to Mikhail from comment #25)
> @Paulo Lopes and @Satish Balay do you install additional codecs?
> For example I use gstreamer1-libav from rpmfusion repository.
> 
> # rpm -q gstreamer1-libav
> gstreamer1-libav-1.12.0-2.fc26.x86_64


$ rpm -q gstreamer1-libav
gstreamer1-libav-1.12.0-2.fc26.x86_64


yes I do..

Comment 29 Adam Williamson 2017-05-26 21:07:11 UTC
Discussed at 2017-05-25 Fedora 26 Beta Go/No-Go meeting, acting as a blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-meeting-2/2017-05-25/f26-beta-go-no-go-meeting.2017-05-25-17.00.html . Rejected as a blocker bug as it does not seem to violate any particular criteria, and impact seems limited to some specific subset of configurations.

Comment 30 Adam Williamson 2017-05-26 21:07:56 UTC
Additionally if some gstreamer-libav package seems implicated here, this bug should probably be closed and moved over to the project where that came from, as it's not a Fedora package.

Comment 31 Satish Balay 2017-05-26 22:22:17 UTC
$ rpm -q gstreamer1-libav
package gstreamer1-libav is not installed

Ok - I remove gstreamer1-libav - rebooted, and switched back to gnome/wayland

gnome-shell crashed again (with this stack trace) within 20min uptime

Going back to gnome/xorg now [that appears to restart gnome-shell on crash - so its not that fatal]

Comment 32 Mikhail 2017-05-27 06:27:47 UTC
Adam, anyway additional codec not should cause crash gnome-shell if contains any errors.

Comment 33 Mikhail 2017-05-27 14:24:19 UTC
Also want to noted that playing video itself may not cause this crash. Playing video just helps it happens immediately. For example watching video for few seconds, close totem and switch to browser or gnome-settings also can cause this crash.

Comment 34 Jeff Raber 2017-05-29 15:03:32 UTC
Similar problem has been detected:

I upgraded to F26 via dnf.  Seems like this crash is happening a few times a day.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: operator delete
executable:     /usr/bin/gnome-shell
journald_cursor: s=5759bad45c324253bbf0f3c6e72144cc;i=346e;b=616ec3f2b45f4996a649b272a3e18472;m=c815a335a;t=550aaa448616a;x=9519dc5b134df3b7
kernel:         4.11.3-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 35 Daniel 2017-05-30 01:16:13 UTC
Similar problem has been detected:

Was renaming a file in Nautilus.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: operator delete
executable:     /usr/bin/gnome-shell
journald_cursor: s=96047cca36624b9b84dbafb1123b1937;i=25865;b=9ed49e07e8fe4ec18926f86bd4add2a7;m=456b3f5ed;t=550b37d994dc0;x=cf60e0472b557e55
kernel:         4.11.3-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 36 Petr Schindler 2017-05-30 16:57:08 UTC
Discussed at 2017-05-30 blocker review meeting: [1]. 

This bug was rejected as freeze exception: There's no proposed fix for this and not enough information to justify breaking freeze if a fix shows up.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-05-30/

Comment 37 Volker Sobek 2017-06-02 12:09:33 UTC
Similar problem has been detected:

I don't know how to reproduce this. My desktop has been crashing on me like this a couple of times a day this week.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: operator delete
executable:     /usr/bin/gnome-shell
journald_cursor: s=4908767b9165404586493cabd7459393;i=def3;b=425920d33c8548de904ea2c0ce5341fe;m=f77998586;t=550f8c5c1250d;x=630b87283cc1e1e
kernel:         4.11.3-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 6
rootdir:        /
runlevel:       3 5
type:           CCpp
uid:            1000

Comment 38 sonia 2017-06-15 15:40:04 UTC
*** Bug 1461921 has been marked as a duplicate of this bug. ***

Comment 39 rugk 2017-06-15 17:15:37 UTC
*** Bug 1461950 has been marked as a duplicate of this bug. ***

Comment 40 Satish Balay 2017-06-17 15:22:15 UTC
On updating gjs to gjs-1.48.3-3.fc26.x86_64 - gnome-shell/wayland hasn't crashed (yet) for the past 2.5 days..

Comment 41 Fedora End Of Life 2018-05-03 08:25:56 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 42 Fedora End Of Life 2018-05-29 11:48:35 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.